Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001735SpeedFanUser interfacepublic2011-01-24 18:302011-03-19 11:38
ReporterMycroft 
Assigned Toalfredo 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformClevo D27ES LaptopOSWin xpOS Versionsp3
Product Version4.42 
Target VersionFixed in Version4.43 
Summary0001735: program runs(appears in task manager), but no UI window/taskbar icon appears.
DescriptionUnsure whether this is a block,or crash....

Installed SF on laptop i have been asked to fix (overheating due to heatsink being full of dust). On program start, speedfan.exe appears in task manager as a process, but no corresponding taskbar icon or speedfan window appears. This seems similar to bugs 0001707 and 0001724.
Killing and restarting speedfan.exe (as per 0001642) has no effect - still no UI window or taskbar icon.

when exiting windows have to force SF to close, using windows force program shutdown prompt, as will not close normally.
Steps To Reproducestep1/ Manually start SF - result:no UI window/taskbar icon appears.

step2/ uninstall & reinstall, then repeat step1 - result:no UI window/taskbar icon appears.

step3/ Set SF to start with windows, by copying shortcut into startup folder of start menu - result:no UI window/taskbar icon appears.

step4/ using same install file, install and run on other PC - result:works normally on other PC.
Additional Informationdebug file includes the line:
"Error opening NVCPL.DLL!"
as far as i am aware, this dll relates to nvidia drivers, yet the laptop in question has SIS graphics, not nvidia.

Full content of debug file:

24/01/2011 17:17:43 - Debug file initialized
24/01/2011 17:17:43 - About to create SMBIOSExplorer object
24/01/2011 17:17:43 - SMBIOSExplorer object created
24/01/2011 17:17:43 - Iitializing SFNVCPANEL
24/01/2011 17:17:43 - About to open NVCPL.DLL...
24/01/2011 17:17:43 - Error opening NVCPL.DLL!
24/01/2011 17:17:43 - Initializing SFSENSORS
24/01/2011 17:17:43 - Initializing ALMCPUUSAGE
24/01/2011 17:17:43 - ALMCPUUSAGE : OS is 5.1.2600
24/01/2011 17:17:43 - ALMCPUUSAGE.CHECK01
24/01/2011 17:17:43 - ALMCPUUSAGE.CHECK02
24/01/2011 17:17:43 - ALMCPUUSAGE.CHECK03
24/01/2011 17:17:43 - Using thread
24/01/2011 17:17:43 - ALMCPUUSAGE.CHECK04
24/01/2011 17:17:43 - CollectCPUDataInternal.01 size is $00002000
TagsNo tags attached.
Motherboard ModelClevo D27ES Laptop
Video Card Modelmodel unknown, intergrated SIS graphics.
Attached Files

- Relationships

-  Notes
(0005785)
Horst Franke (reporter)
2011-02-01 01:33

I have this very same problem.
Speedfan 4.42 was started, appears in TaskManager but NO icon
is seen. On Shutdown winXP HE sp3 tells "NO ANSWER" from speedfan!

My History:
I added a new HD drive (not yet partitioned nor formatted).
At first start speedfan regognized this drive and did show
the temperature. But for icon display only either HD0 or HD1
was allowed and displayed.
On later starts after ReBOOT speedfan did only appear in the
task manager but no window could be opened and no ICON seen.

On Shutdown/Restart WinXP tells me "NO RESPONSE" from speedfan.
Horst
(0005788)
alfredo (manager)
2011-02-01 09:57

Did you try SpeedFan 4.43 beta 10?
(0005882)
Mycroft (reporter)
2011-02-21 22:26

unable to try beta on laptop, as was repaired and returned 28th jan.
Problem doesnt occur on my desktop PC.
(0005902)
Horst Franke (reporter)
2011-02-28 02:36

How do I get access to Speedfan 4.43 beta 12.

I'm not able to download the beta version as Your Login answer tells me
that my user name is incorrect?
Horst
(0005903)
Horst Franke (reporter)
2011-02-28 03:17

After going around some corners (second user name) I was able to download Speedfan v4.43 beta 12.
This now looks better and provides the icon in the infobar.
And I also see the speedfan window.

But again I can select only one HDx Temperature to be displayed in the infobar.
Is this how it should work?

Also for download of the Beta I had to use a second user name:
the first name was rejected as INVALID -
but to access this bug report I had to use my first user name!?
This seems to work somewhat inlogically.
Horst
(0005906)
alfredo (manager)
2011-02-28 08:43

Hello. It looks like this issue is thus fixed by the latest beta. Good.
About the temperature to be selected I didn't understand if the problem is that SpeedFan can only find HDx temperatures or that you can't select a different temperature for the tray area. If the case is the latter, you have to open CONFIGURE, select your favourite temperature and check SHOW IN TRAY.
About the user names, the main web site (almico.com) and this bug tracker, unfortunately, use different databases.
(0005907)
alfredo (manager)
2011-02-28 08:44

If you send me a SEND REPORT (INFO tab) using the latest beta I will have a look at it and be more precise. Please, in the notes to the report enter the ID of this issue.

- Issue History
Date Modified Username Field Change
2011-01-24 18:30 Mycroft New Issue
2011-01-24 18:30 Mycroft Status new => assigned
2011-01-24 18:30 Mycroft Assigned To => alfredo
2011-02-01 01:33 Horst Franke Note Added: 0005785
2011-02-01 09:57 alfredo Note Added: 0005788
2011-02-01 09:57 alfredo Status assigned => acknowledged
2011-02-21 22:26 Mycroft Note Added: 0005882
2011-02-28 02:36 Horst Franke Note Added: 0005902
2011-02-28 03:17 Horst Franke Note Added: 0005903
2011-02-28 08:43 alfredo Note Added: 0005906
2011-02-28 08:44 alfredo Note Added: 0005907
2011-03-19 11:38 alfredo Status acknowledged => resolved
2011-03-19 11:38 alfredo Resolution open => fixed
2011-03-19 11:38 alfredo Fixed in Version => 4.43


Copyright © 2000 - 2018 MantisBT Team
Time: 0.1832 seconds.
memory usage: 8,092 KB
Powered by Mantis Bugtracker